%define major     3
%define libname   %mklibname shout %{major}
%define develname %mklibname shout -d

Summary:	A library for communicating with and sending data to an icecast server
Name:		libshout
Version:	2.4.6
Release:	%mkrel 2
Group:		System/Libraries
License:	LGPL+
URL:		https://www.icecast.org/
Source0:	https://downloads.xiph.org/releases/libshout/%{name}-%{version}.tar.gz
Patch1:		0001-icy-include-stdlib-h-and-stdio-h.patch
Patch2:		0002-legacy-include-stdlib-h.patch
BuildRequires:	pkgconfig(ogg)
BuildRequires:	pkgconfig(vorbis)
BuildRequires:	pkgconfig(theora)
BuildRequires:	pkgconfig(speex)

%description
Libshout is a library for communicating with and sending data to an
icecast server.  It handles the socket connection, the timing of the
data, and prevents bad data from getting to the icecast server.

With just a few lines of code, a programmer can easily turn any
application into a streaming source for an icecast server.  Libshout also
allows developers who want a specific feature set (database access,
request taking) to concentrate on that feature set, instead of worrying
about how server communication works.

Please refer to the API reference and example code to start learning how
to use libshout in your own code.

%package -n	%{libname}
Summary:	Main library for %{name}
Group:		System/Libraries

%description -n	%{libname}
This package contains the library needed to run programs dynamically
linked with %{name}.

%package -n	%{develname}
Summary:	Headers for developing programs that will use %{name}
Group:		Development/Other
Requires:	speex-devel
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
This package contains the headers that programmers will need to develop
applications which will use %{name}.

%prep
%autosetup -p1

%build
%configure --disable-static
%make_build

%install
%make_install

# remove installed doc
rm -rf %{buildroot}%{_datadir}/doc/%{name}
find %{buildroot} -name '*.la' -delete

%files
%{_bindir}/shout
%{_mandir}/man1/shout.1*

%files -n %{libname}
%{_libdir}/*.so.%{major}{,.*}

%files -n %{develname}
%doc README
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/ckport/db/libshout.ckport
%{_libdir}/pkgconfig/shout.pc
%{_datadir}/aclocal/shout.m4


%changelog
* Tue Oct 01 2024 daviddavid <daviddavid> 2.4.6-2.mga10
+ Revision: 2102342
- backport upstream patches to fix build with GCC 14

* Thu Oct 20 2022 ghibo <ghibo> 2.4.6-1.mga9
+ Revision: 1897812
- Update to release 2.4.6

* Fri Apr 01 2022 umeabot <umeabot> 2.4.5-2.mga9
+ Revision: 1839510
- Mageia 9 Mass Rebuild

* Sat Jan 02 2021 luigiwalser <luigiwalser> 2.4.5-1.mga8
+ Revision: 1668077
- add main package for shout binary
- 2.4.5

* Wed Nov 18 2020 luigiwalser <luigiwalser> 2.4.4-1.mga8
+ Revision: 1647141
- 2.4.4

* Sat Feb 15 2020 umeabot <umeabot> 2.4.3-2.mga8
+ Revision: 1526851
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Thu Jul 04 2019 daviddavid <daviddavid> 2.4.3-1.mga8
+ Revision: 1418307
- new version: 2.4.3

* Mon May 13 2019 luigiwalser <luigiwalser> 2.4.2-1.mga7
+ Revision: 1397520
- 2.4.2

* Sun Sep 23 2018 umeabot <umeabot> 2.4.1-2.mga7
+ Revision: 1299143
- Mageia 7 Mass Rebuild

* Sun Jan 03 2016 luigiwalser <luigiwalser> 2.4.1-1.mga6
+ Revision: 918951
- 2.4.1

* Wed Oct 15 2014 umeabot <umeabot> 2.3.1-5.mga5
+ Revision: 748768
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.3.1-4.mga5
+ Revision: 681780
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.3.1-3.mga4
+ Revision: 507329
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 2.3.1-2.mga3
+ Revision: 358143
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jun 09 2012 fwang <fwang> 2.3.1-1.mga3
+ Revision: 258365
- new verion 2.3.1

* Mon Mar 05 2012 fwang <fwang> 2.3.0-1.mga2
+ Revision: 218333
- new version 2.3.0

* Sat Jan 15 2011 ahmad <ahmad> 2.2.2-8.mga1
+ Revision: 19525
- drop old/unneeded scriptlets
- imported package libshout


* Sun Nov 28 2010 Oden Eriksson <oeriksson@mandriva.com> 2.2.2-7mdv2011.0
+ Revision: 602606
- rebuild

* Tue Mar 16 2010 Oden Eriksson <oeriksson@mandriva.com> 2.2.2-6mdv2010.1
+ Revision: 520906
- rebuilt for 2010.1

* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 2.2.2-5mdv2010.0
+ Revision: 425742
- rebuild

* Sat Jun 28 2008 Oden Eriksson <oeriksson@mandriva.com> 2.2.2-4mdv2009.0
+ Revision: 229863
- fix speex linkage (P0)
- spec file massage

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Sun Jan 13 2008 Thierry Vignaud <tv@mandriva.org> 2.2.2-2mdv2008.1
+ Revision: 150825
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Fri Aug 03 2007 Adam Williamson <awilliamson@mandriva.org> 2.2.2-1mdv2008.0
+ Revision: 58465
- rebuild for 2008
- Fedora license policy
- new devel policy
- spec clean
- Import libshout



* Tue Aug 01 2006 Guillaume Rousse <guillomovitch@mandriva.org> 2.2.2-1mdv2007.0
- New version 2.2.2
- buildrequires libtheora-devel

* Fri Jan 20 2006 Guillaume Rousse <guillomovitch@mandriva.org> 2.2-2mdk
- buildrequires speex devel
- force devel package to requires it, automatic dependencies tracking miss it

* Wed Jan 04 2006 Götz Waschk <waschk@mandriva.org> 2.2-1mdk
- New release 2.2
- use mkrel

* Sun Jan 01 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 2.1-3mdk
- Rebuild

* Fri Jun 03 2005 Guillaume Rousse <guillomovitch@mandriva.org> 2.1-2mdk 
- fix summary

* Fri Jun 03 2005 Guillaume Rousse <guillomovitch@mandriva.org> 2.1-1mdk
- New release 2.1
- spec cleanup
- drop lib64 patch, aclocal has been updated

* Thu Sep 30 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.0-5mdk
- use mklibname, remove duplicated/extraneous provides, lib64 fixes

* Fri Jul 23 2004 Guillaume Rousse <guillomovitch@mandrake.org> 2.0-4mdk 
- rpmbuildupdate aware

* Sun Jul 27 2003 Guillaume Rousse <guillomovitch@linux-mandrake.com> 2.0-3mdk
- used %%makeinstall_std to install headers correctly
- no more shout-config binary

* Wed Jul 16 2003 Guillaume Rousse <guillomovitch@linux-mandrake.com> 2.0-2mdk
- fixed header location

* Tue Jul 15 2003 Guillaume Rousse <guillomovitch@linux-mandrake.com> 2.0-1mdk
- first contrib package
